module leapfrogbcd_i

 interface
subroutine leapfrogbcd(params, an, bnm, bn, bnp, cnm, cn, cnp, dnm, dn, dnp)
  use input_params
  real*8, dimension(100):: params
  real*8, dimension(:,:,:) :: an, bnm, bn, bnp, &
       cnm, cn, cnp, dnm, dn, dnp
  real*8 dt, h
  integer nx,ny,nz, sh(3)

 end subroutine 
 end interface 

 end module
